<ion-content class="ion-padding">
  <ion-grid>
    <ion-row class="ion-align-items-center">
      <ion-col
        size="12"
        size-sm="1"
        size-md="3"
        size-lg="4"
        size-xl="4"
        class="ion-no-padding"
      >
      </ion-col>
      <ion-col size="12" size-sm="10" size-md="6" size-lg="4" size-xl="4">
        <ion-card>
          <ion-card-header>
            <img src="./assets/imgs/logo.png" />
            <ion-card-title>Recuperar Acceso</ion-card-title>
          </ion-card-header>
          <ion-card-content>
            <form [formGroup]="recoveryForm" (ngSubmit)="onRecoverySubmit()">
              <ion-item>
                <ion-label position="floating">Email</ion-label>
                <ion-input type="text" formControlName="email"></ion-input>
              </ion-item>
              <br />
              <ion-button
                color="primary"
                type="submit"
                expand="block"
                [disabled]="recoveryForm.invalid"
              >
                Solicitar
              </ion-button>
              <div *ngIf="recoveryFailed" class="invalid-recovery">
                No se encontró una cuenta con la casilla de correo ingresada.
              </div>
              <br />
              <div>
                <a routerLink="/login">Volver</a>
              </div>
            </form>
          </ion-card-content>
        </ion-card>
      </ion-col>
      <ion-col
        size="12"
        size-sm="1"
        size-md="3"
        size-lg="4"
        size-xl="4"
        class="ion-no-padding"
      >
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
